Loading...
Searching...
No Matches
irr::scene::SMD3Mesh Struct Reference

Holding Frames Buffers and Tag Infos. More...

`#include <IAnimatedMeshMD3.h>`

Inheritance diagram for irr::scene::SMD3Mesh:

## Public Member Functions

| SMD3Mesh ()
virtual | ~SMD3Mesh ()
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Public Attributes

core::array< SMD3MeshBuffer * > | Buffer
SMD3Header | MD3Header
core::stringc | Name
SMD3QuaternionTagList | TagList

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Holding Frames Buffers and Tag Infos.

Definition at line 265 of file IAnimatedMeshMD3.h.

## Constructor & Destructor Documentation

## SMD3Mesh()

irr::scene::SMD3Mesh::SMD3Mesh | ( |  | ) |

inline

Definition at line 267 of file IAnimatedMeshMD3.h.

References MD3Header.

## ~SMD3Mesh()

virtual irr::scene::SMD3Mesh::~SMD3Mesh | ( |  | ) |

inline virtual

Definition at line 272 of file IAnimatedMeshMD3.h.

References Buffer, and irr::IReferenceCounted::drop().

## Member Data Documentation

## Buffer

core::array<SMD3MeshBuffer*> irr::scene::SMD3Mesh::Buffer

Definition at line 279 of file IAnimatedMeshMD3.h.

Referenced by ~SMD3Mesh().

## MD3Header

SMD3Header irr::scene::SMD3Mesh::MD3Header

Definition at line 281 of file IAnimatedMeshMD3.h.

Referenced by SMD3Mesh().

## Name

core::stringc irr::scene::SMD3Mesh::Name

Definition at line 278 of file IAnimatedMeshMD3.h.

## TagList

SMD3QuaternionTagList irr::scene::SMD3Mesh::TagList

Definition at line 280 of file IAnimatedMeshMD3.h.

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0